# Princess Peach Showtime! 1.0.0
# BID: 928EFE2954F68055

unsafeCheck: true

ALL_FPS:
  # r.DynamicRes.FrameTimeBudget (1000/FPS) cutted to 1 decimal
  -
    type: evaluate_write
    address: [MAIN, 0xAE825E8, 0]
    value_type: float
    value: ["TruncDec(FRAMETIME_TARGET, 1)", "TruncDec(FRAMETIME_TARGET, 1)"]
  # t.MaxFPS
  -
    type: evaluate_write
    address: [MAIN, 0xAEB02A8, 0]
    value_type: float
    value: [FPS_LOCK_TARGET, FPS_LOCK_TARGET]
  # r.VSync
  -
    type: write
    address: [MAIN, 0xA6B2D18, 0]
    value_type: uint32
    value: [0, 0]
  -
    type: block
    what: timing
